{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CON_CAR"; 
            externalType = CHAR; 
            name = conCar; 
            valueClassName = NSString; 
            valueType = c; 
            width = 3; 
        }, 
        {
            columnName = "D_DEBUT"; 
            externalType = DATE; 
            name = dDebut; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN"; 
            externalType = DATE; 
            name = dFin; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (conCar, dDebut, dFin, noDossierPers); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOVPersonnelEns"; 
    classProperties = (conCar, dDebut, dFin, toIndividu); 
    externalName = "GRHUM.V_PERSONNEL_ENS"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkpers_VPersonnelEns"; 
    primaryKeyAttributes = (dDebut, noDossierPers); 
    relationships = (
        {
            destination = "Fwkpers_Individu"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = toIndividu; 
        }
    ); 
}
